Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit akonadi-search for openSUSE:Factory
Hello community,

here is the log from the commit of package akonadi-search for openSUSE:Factory
checked in at 2019-04-26 22:45:55
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/akonadi-search (Old)
and /work/SRC/openSUSE:Factory/.akonadi-search.new.5536 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "akonadi-search"

Fri Apr 26 22:45:55 2019 rev:45 rq:696174 version:19.04.0

Changes:
--------
--- /work/SRC/openSUSE:Factory/akonadi-search/akonadi-search.changes
2019-03-11 11:08:06.477737829 +0100
+++ /work/SRC/openSUSE:Factory/.akonadi-search.new.5536/akonadi-search.changes
2019-04-26 22:45:56.197597890 +0200
@@ -1,0 +2,41 @@
+Sat Apr 20 06:51:52 UTC 2019 - lbeltrame@xxxxxxx
+
+- Update to 19.04.0
+ * New feature release
+ * For more details please see:
+ * https://www.kde.org/announcements/announce-applications-19.04.0.php
+- No code changes since 19.03.90
+
+-------------------------------------------------------------------
+Fri Apr 12 01:41:30 UTC 2019 - Stefan BrĂ¼ns <stefan.bruens@xxxxxxxxxxxxxx>
+
+- Bump versions in BuildRequires for KF5 libraries matching the
+ specified versions in CMakeLists.txt, to force correct build order.
+- Add explicit BuildRequires for kdbusaddons-devel
+
+-------------------------------------------------------------------
+Tue Apr 09 20:54:37 UTC 2019 - lbeltrame@xxxxxxx
+
+- Update to 19.03.90
+ * New feature release
+ * For more details please see:
+ * https://kde.org/announcements/announce-applications-19.04-rc.php
+- Changes since 19.03.80:
+ * Convert to camelcase include
+ * Make attribute const
+
+-------------------------------------------------------------------
+Wed Mar 27 06:40:54 UTC 2019 - lbeltrame@xxxxxxx
+
+- Update to 19.03.80
+ * New feature release
+ * For more details please see:
+ * https://kde.org/announcements/announce-applications-19.04-beta.php
+- Changes since 18.12.3:
+ * Fix some clazy watning
+ * Port Q_FOREACH
+ * Use KF5_MIN_VERSION instead of KF5_VERSION
+ * Remove QT_CHECK
+ * Make sure xapian.h is always included first
+
+-------------------------------------------------------------------

Old:
----
akonadi-search-18.12.3.tar.xz

New:
----
akonadi-search-19.04.0.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ akonadi-search.spec ++++++
--- /var/tmp/diff_new_pack.F8kvE7/_old 2019-04-26 22:45:57.133597412 +0200
+++ /var/tmp/diff_new_pack.F8kvE7/_new 2019-04-26 22:45:57.133597412 +0200
@@ -16,12 +16,12 @@
#


-%define kf5_version 5.26.0
+%define kf5_version 5.56.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %define _kapp_version %(echo %{version}| awk -F. '{print
$1"."$2}')}
%bcond_without lang
Name: akonadi-search
-Version: 18.12.3
+Version: 19.04.0
Release: 0
Summary: Framework for searching and managing PIM metadata
License: GPL-2.0-or-later AND LGPL-2.1-or-later AND LGPL-3.0-only
@@ -30,17 +30,18 @@
Source0: %{name}-%{version}.tar.xz
BuildRequires: akonadi-mime-devel >= %{_kapp_version}
BuildRequires: akonadi-server-devel >= %{_kapp_version}
-BuildRequires: extra-cmake-modules >= 5.17.0
+BuildRequires: extra-cmake-modules >= %{kf5_version}
BuildRequires: kcalcore-devel
-BuildRequires: kcmutils-devel >= 5.19.0
-BuildRequires: kconfig-devel >= 5.19.0
+BuildRequires: kcmutils-devel >= %{kf5_version}
+BuildRequires: kconfig-devel >= %{kf5_version}
BuildRequires: kcontacts-devel
-BuildRequires: kcrash-devel >= 5.19.0
+BuildRequires: kcrash-devel >= %{kf5_version}
+BuildRequires: kdbusaddons-devel >= %{kf5_version}
BuildRequires: kf5-filesystem
-BuildRequires: ki18n-devel >= 5.19.0
-BuildRequires: kio-devel
+BuildRequires: ki18n-devel >= %{kf5_version}
+BuildRequires: kio-devel >= %{kf5_version}
BuildRequires: kmime-devel
-BuildRequires: krunner-devel >= 5.19.0
+BuildRequires: krunner-devel >= %{kf5_version}
BuildRequires: libxapian-devel
BuildRequires: pkgconfig
BuildRequires: pkgconfig(Qt5Core)

++++++ akonadi-search-18.12.3.tar.xz -> akonadi-search-19.04.0.tar.xz ++++++
++++ 2665 lines of diff (skipped)


< Previous Next >
This Thread
  • No further messages